## QmiClientNas QmiClientNas — QmiClient for the NAS service. |

## Signals

void | event-report | Run Last
void | network-reject | Run Last
void | network-time | Run Last
void | operator-name | Run Last
void | serving-system | Run Last
void | signal-info | Run Last
void | system-info | Run Last

## Types and Values

struct | QmiClientNas

## Object Hierarchy

        GObject
        ╰── QmiClient
            ╰── QmiClientNas

## Description

QmiClient which handles operations in the NAS service.

## Functions

## Types and Values

### struct QmiClientNas

    struct QmiClientNas;

The QmiClientNas structure contains private data and should only be accessed using the provided API.

Since: 1.0

## Signal Details

### The `“event-report”` signal

    void
    user_function (QmiClientNas                      *object,
                   QmiIndicationNasEventReportOutput *output,
                   gpointer                           user_data)

The ::event-report signal gets emitted when a 'Event Report' indication is received.

#### Parameters

object | A QmiClientNas. |
output | A QmiIndicationNasEventReportOutput. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 1.0

### The `“network-reject”` signal

    void
    user_function (QmiClientNas                        *object,
                   QmiIndicationNasNetworkRejectOutput *output,
                   gpointer                             user_data)

The ::network-reject signal gets emitted when a 'Network Reject' indication is received.

#### Parameters

object | A QmiClientNas. |
output | A QmiIndicationNasNetworkRejectOutput. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 1.30

### The `“network-time”` signal

    void
    user_function (QmiClientNas                      *object,
                   QmiIndicationNasNetworkTimeOutput *output,
                   gpointer                           user_data)

The ::network-time signal gets emitted when a 'Network Time' indication is received.

#### Parameters

object | A QmiClientNas. |
output | A QmiIndicationNasNetworkTimeOutput. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 1.0

### The `“operator-name”` signal

    void
    user_function (QmiClientNas                       *object,
                   QmiIndicationNasOperatorNameOutput *output,
                   gpointer                            user_data)

The ::operator-name signal gets emitted when a 'Operator Name' indication is received.

#### Parameters

object | A QmiClientNas. |
output | A QmiIndicationNasOperatorNameOutput. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 1.18

### The `“serving-system”` signal

    void
    user_function (QmiClientNas                        *object,
                   QmiIndicationNasServingSystemOutput *output,
                   gpointer                             user_data)

The ::serving-system signal gets emitted when a 'Serving System' indication is received.

#### Parameters

object | A QmiClientNas. |
output | A QmiIndicationNasServingSystemOutput. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 1.0

### The `“signal-info”` signal

    void
    user_function (QmiClientNas                     *object,
                   QmiIndicationNasSignalInfoOutput *output,
                   gpointer                          user_data)

The ::signal-info signal gets emitted when a 'Signal Info' indication is received.

#### Parameters

object | A QmiClientNas. |
output | A QmiIndicationNasSignalInfoOutput. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 1.0

### The `“system-info”` signal

    void
    user_function (QmiClientNas                     *object,
                   QmiIndicationNasSystemInfoOutput *output,
                   gpointer                          user_data)

The ::system-info signal gets emitted when a 'System Info' indication is received.

#### Parameters

object | A QmiClientNas. |
output | A QmiIndicationNasSystemInfoOutput. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 1.0